@file:JvmName("ApplicationConstants")

package io.piveau.metrics.notifications.utils


const val ENV_PORT = "NOTIFICATIONS_PORT"
const val DEFAULT_PORT = 8080
const val ENV_APIKEY = "NOTIFICATIONS_APIKEY"
const val ENV_CORS_DOMAINS ="NOTIFICATIONS_CORS_DOMAINS"


const val ENV_MAIL_SERVER_CONFIG ="MAIL_SERVER_CONFIG"

const val ENV_MAIL_FROM_ADDRESS ="MAIL_FROM_ADDRESS"
const val DEFAULT_MAIL_FROM_ADDRESS ="no-reply@example.com"

const val ENV_MAIL_COPY_TO="MAIL_COPY_TO"


const val ENV_TIMER_COUNT = "NOTIFICATIONS_TIMER_COUNT"
const val DEFAULT_TIMER_COUNT = "1"

const val ENV_TIMER_HOUR = "NOTIFICATIONS_TIMER_HOUR"
const val DEFAULT_TIMER_HOUR = 9

const val ENV_TIMER_UNIT = "NOTIFICATIONS_TIMER_UNIT"
const val DEFAULT_TIMER_UNIT = "WEEK"

const val ENV_SCORE_DELTA = "NOTIFICATIONS_SCORE_DELTA"
const val DEFAULT_SCORE_DELTA = 5

const val EVN_CATALOGUE_DETAIL_BASE_URL= "CATALOGUE_DETAIL_BASE_URL"
const val DEFAULT_CATALOGUE_DETAIL_BASE_URL= "https://data.europa.eu/mqa/catalogues"

const val ENV_BASE_URI = "BASE_URI"
const val ENV_PIVEAU_DCATAP_SCHEMA_CONFIG = "PIVEAU_DCATAP_SCHEMA_CONFIG"

const val ENV_IN_TEST_ENVIRONMENT = "TEST_ENVIRONMENT"
const val DEFAULT_IN_TEST_ENVIRONMENT = true

const val ENV_ACTIVE_CATALOGUES ="NOTIFICATIONS_ACTIVE_CATALOGUES"
//val DEFAULT_ACTIVE_CATALOGUES = JsonArray()


//Mongodb
const val ENV_MONGODB_SERVER_HOST = "MONGODB_SERVER_HOST"
const val DEFAULT_MONGODB_SERVER_HOST = "localhost"

const val ENV_MONGODB_SERVER_PORT = "MONGODB_SERVER_PORT"
const val DEFAULT_MONGODB_SERVER_PORT = 27017

const val ENV_MONGODB_DB_NAME = "MONGODB_DB_NAME"
const val DEFAULT_MONGODB_DB_NAME = "notifications"

const val ENV_MONGODB_USERNAME = "MONGODB_USERNAME"

const val ENV_MONGODB_PASSWORD = "MONGODB_PASSWORD"

//Metrics

//address of metrics root page
const val ENV_METRICS_ADDRESS = "METRICS_ADDRESS"
const val DEFAULT_METRICS_ADDRESS = "https://data.europa.eu/api/mqa/cache"

enum class TimerUnit{WEEK, MONTH}
enum class DBCollection{CATALOGUE,USER}